Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

not working with Redmine 2.0 #15

Closed
archonwang opened this Issue May 22, 2012 · 7 comments

Comments

Projects
None yet
4 participants
Contributor

archonwang commented May 22, 2012

It's pity not support 2.0. anyone has solution ?thanks

Contributor

danmunn commented May 24, 2012

In the init.rb remove the require dispatcher, and change the dispatcher.to_prepare section to this:

Rails.application.config.to_prepare do
  RedmineCkeditor.apply_patch
end

That being said, due to the way that i18n is loaded from the editors localisation the plugin configuration is now borked as it is not valid JSON.

Contributor

archonwang commented May 24, 2012

Hi, danmunn

Thanks. I will test the solution later.

Contributor

archonwang commented May 24, 2012

Hi, danmunn,

Thanks a lot.
I tested on Redmine 2.0 and it woriks welle.

Contributor

danmunn commented May 24, 2012

Archonwang,

I've just submitted a pull request for fixes to the plugin to get it working with redmine 2.0.0 if you'd like to try that (fixes the broken plugin configuration)

Contributor

archonwang commented May 28, 2012

thanks. it works now.

@a-ono a-ono closed this May 28, 2012

retaiba commented Feb 20, 2013

Please wich init.rb you speak about ?
In the init.rb remove the require dispatcher, and change the dispatcher.to_prepare section to this:

Rails.application.config.to_prepare do
RedmineCkeditor.apply_patch
end

Thinks

retaiba commented Feb 20, 2013

can have the path of this file ( init.rb) ?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment